Name: sisu
Version: 0.64.0
Release: alt1

Summary: Document creation and management framework

License: GPL3
Group: Text tools
Url: http://www.jus.uio.no/sisu/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.jus.uio.no/sisu/archive/pool/main/s/sisu/%{name}_%version.orig.tar.bz2
Patch: %name.patch

Requires: ruby-module-fileutils ruby-module-date-time ruby-module-socket ruby-module-uri ruby-module-yaml
Requires: ruby-module-env ruby-module-iconv ruby-module-digest
BuildPreReq: rpm-build-ruby

# Automatically added by buildreq on Tue Jan 08 2008
BuildRequires: ruby

%description
SiSU (Structured information, Serialized Units) is is a document
creation and management framework. It manages electronic texts and
document collections with minimal markup requirements, and provides an
"atomic search" and text positioning system. It can produce output as
plain-text, HTML, XHTML, XML, ODF (OpenDocument), LaTeX, PDF, or SQL
(for PostgreSQL or SQLite). SiSU is a command line tool/batch processor
and a markup syntax. Documents are prepared by marking them up for SiSU
with your favorite text editor and then generated in the desired output
formats. A vim syntax highlighting file for SiSU syntax is provided.

%package examples
Summary: Examples for %name
Group: Text tools
Requires: %name = %version-%release

%description examples
Examples for %name.

%prep
%setup -q -n %name-%version
%patch

%build
%ruby_config
%ruby_build

%install
%ruby_install

%files
%_bindir/*
%_sysconfdir/%name/
%_man1dir/*
%_man7dir/*
%_man8dir/*
%_datadir/%name/
%_docdir/%name/
%ruby_sitelibdir/%name/

#%files examples
#%_datadir/%name-examples

%changelog
* Tue Jan 08 2008 Vitaly Lipatov <lav@altlinux.ru> 0.64.0-alt1
- new version 0.64.0
- use ruby macroses, fix requires

* Sat Nov 03 2007 Vitaly Lipatov <lav@altlinux.ru> 0.62.2-alt1
- new version 0.62.2 (with rpmrb script)

* Thu Jul 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.55.2-alt1
- new version 0.55.2 (with rpmrb script)
- change license to GPL3

* Tue Mar 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.50.3-alt1
- new version 0.50.3 (with rpmrb script)

* Sun Feb 04 2007 Vitaly Lipatov <lav@altlinux.ru> 0.49.0-alt0.1
- new version 0.49.0 (with rpmrb script)

* Sat Sep 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.47.2-alt0.1
- new version 0.47.2 (with rpmrb script)

* Sat Sep 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.48.0-alt0.1
- new version 0.48.0 (with rpmrb script)

* Sat Sep 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.47.0-alt0.1
- new version 0.47.0 (with rpmrb script)

* Sat Jul 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.43.0-alt0.1
- new version 0.43.0 (with rpmrb script)

* Sat Jul 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.41.2-alt0.1
- new version 0.41.2 (with rpmrb script)

* Sun Jun 18 2006 Vitaly Lipatov <lav@altlinux.ru> 0.41.4-alt0.1
- new version 0.41.4
- fix Source URL
- remove examples (see site if needed)

* Sat Mar 25 2006 Vitaly Lipatov <lav@altlinux.ru> 0.37.8-alt0.1
- new version 0.37.8 (with rpmrb script)

* Fri Feb 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.36.12-alt0.1
- new version

* Wed Feb 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.36.9-alt0.1
- new version

* Wed Dec 28 2005 Vitaly Lipatov <lav@altlinux.ru> 0.35.0-alt0.1
- new version

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.34.0-alt0.1
- new version

* Sun Nov 27 2005 Vitaly Lipatov <lav@altlinux.ru> 0.31.0-alt0.1
- initial build for ALT Linux Sisyphus

